Patch-Source: https://github.com/libgeos/geos/commit/e93854317dd3130644891c73579e773859a12717
--
From e93854317dd3130644891c73579e773859a12717 Mon Sep 17 00:00:00 2001
From: Paul Ramsey <pramsey@cleverelephant.ca>
Date: Fri, 30 Jun 2023 16:23:56 -0700
Subject: [PATCH] Explicitly set endianness for some tests so that output
 matches expected. Closes #934

---
 tests/unit/capi/GEOSWKBWriterTest.cpp | 4 +++-
 tests/unit/io/WKBWriterTest.cpp       | 2 ++
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/tests/unit/capi/GEOSWKBWriterTest.cpp b/tests/unit/capi/GEOSWKBWriterTest.cpp
index c50dfa55bb..9b49cba8f3 100644
--- a/tests/unit/capi/GEOSWKBWriterTest.cpp
+++ b/tests/unit/capi/GEOSWKBWriterTest.cpp
@@ -15,7 +15,9 @@ struct test_geoswkbwriter_data : public capitest::utility {
     test_geoswkbwriter_data() :
         wkbwriter_(GEOSWKBWriter_create()),
         buf_(nullptr)
-    {}
+    {
+        GEOSWKBWriter_setByteOrder(wkbwriter_, GEOS_WKB_NDR);
+    }
 
     ~test_geoswkbwriter_data() {
         GEOSWKBWriter_destroy(wkbwriter_);
diff --git a/tests/unit/io/WKBWriterTest.cpp b/tests/unit/io/WKBWriterTest.cpp
index 79ea973dcc..eb4cf31024 100644
--- a/tests/unit/io/WKBWriterTest.cpp
+++ b/tests/unit/io/WKBWriterTest.cpp
@@ -327,6 +327,7 @@ void object::test<11>
     std::stringstream iso_result_stream;
     wkbwriter.setOutputDimension(4);
     wkbwriter.setFlavor(geos::io::WKBConstants::wkbFlavour::wkbIso);
+    wkbwriter.setByteOrder(1); // little endian
     wkbwriter.writeHEX(*geom, iso_result_stream);
 
     ensure_equals("XYZM ISO",
@@ -358,6 +359,7 @@ void object::test<12>
     std::stringstream iso_result_stream;
     wkbwriter.setOutputDimension(4);
     wkbwriter.setFlavor(geos::io::WKBConstants::wkbFlavour::wkbIso);
+    wkbwriter.setByteOrder(1); // little endian
     wkbwriter.writeHEX(*geom, iso_result_stream);
 
     ensure_equals("XYM ISO",
